Bug 60144 - View Results Tree : Add a more up to date Browser Renderer to replace old Render
Summary: View Results Tree : Add a more up to date Browser Renderer to replace old Render
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: HTTP (show other bugs)
Version: 3.0
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2016-09-16 20:29 UTC by Philippe Mouawad
Modified: 2016-12-22 19:58 UTC (History)
2 users (show)



Attachments
Patch implementing the feature (9.98 KB, patch)
2016-09-16 20:31 UTC, Philippe Mouawad
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Philippe Mouawad 2016-09-16 20:31:32 UTC
Created attachment 34258 [details]
Patch implementing the feature

Please ensure you upgrade ANT Version to one support Java8, 1.9.7 for example
Comment 2 Philippe Mouawad 2016-11-08 12:49:25 UTC
Bug fixed as of Java 8 u112
Comment 3 Philippe Mouawad 2016-11-27 12:41:54 UTC
Author: pmouawad
Date: Sun Nov 27 12:40:04 2016
New Revision: 1771577

URL: http://svn.apache.org/viewvc?rev=1771577&view=rev
Log:
Bug 60144 - View Results Tree : Add a more up to date Browser Renderer to replace old Render
Bugzilla Id: 60144

Added:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RenderInBrowser.java   (with props)
Modified:
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
    jmeter/trunk/xdocs/changes.xml


Author: pmouawad
Date: Sun Nov 27 12:40:45 2016
New Revision: 1771578

URL: http://svn.apache.org/viewvc?rev=1771578&view=rev
Log:
Bug 60144 - View Results Tree : Add a more up to date Browser Renderer to replace old Render
svn:eol
Bugzilla Id: 60144

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RenderInBrowser.java   (props changed)
Comment 4 Philippe Mouawad 2016-11-27 15:16:03 UTC
Author: fschumacher
Date: Sun Nov 27 14:15:22 2016
New Revision: 1771597

URL: http://svn.apache.org/viewvc?rev=1771597&view=rev
Log:
Fix freeze when running tests in headless mode. Followup to r1771577

Bugzilla Id: 60144

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RenderInBrowser.java
    
Author: pmouawad
Date: Sun Nov 27 15:14:59 2016
New Revision: 1771602

URL: http://svn.apache.org/viewvc?rev=1771602&view=rev
Log:
Bug 60144 - View Results Tree : Add a more up to date Browser Renderer to replace old Render
JFXPanel should only be created by AWT thread
Bugzilla Id: 60144

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RenderInBrowser.java
Comment 5 Philippe Mouawad 2016-12-22 19:58:27 UTC
Author: pmouawad
Date: Thu Dec 22 19:57:48 2016
New Revision: 1775720

URL: http://svn.apache.org/viewvc?rev=1775720&view=rev
Log:
Bug 60144 View Results Tree : Add a more up to date Browser Renderer to replace old Render
Fix Exception java.lang.IllegalStateException:Toolkit not initialized
Bugzilla Id: 60144

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RenderInBrowser.java